[glib] Dist assert-msg-test.gdb
- From: Matthias Clasen <matthiasc src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [glib] Dist assert-msg-test.gdb
- Date: Tue, 15 Jan 2013 05:23:00 +0000 (UTC)
commit a605b332c5a918006de8f50e9741dd0f33aa1e31
Author: Matthias Clasen <mclasen redhat com>
Date: Mon Jan 14 23:25:05 2013 -0500
Dist assert-msg-test.gdb
And refer to it in srcdir. Otherwise, the test fails mysteriously
in make distcheck.
tests/Makefile.am | 3 ++-
tests/run-assert-msg-test.sh | 3 +--
2 files changed, 3 insertions(+), 3 deletions(-)
---
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 066eb34..a5af03a 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -41,7 +41,8 @@ EXTRA_DIST += \
gen-casemap-txt.pl \
iochannel-test-infile \
utf8.txt \
- timeloop-basic.c
+ timeloop-basic.c \
+ assert-msg-test.gdb
BUILT_EXTRA_DIST = \
makefile.msc
diff --git a/tests/run-assert-msg-test.sh b/tests/run-assert-msg-test.sh
index 5f73d01..58305b0 100755
--- a/tests/run-assert-msg-test.sh
+++ b/tests/run-assert-msg-test.sh
@@ -38,11 +38,10 @@ if ! type gdb >/dev/null 2>&1; then
fi
echo_v "Running gdb on assert-msg-test"
-OUT=$($LIBTOOL --mode=execute gdb --batch -x assert-msg-test.gdb assert-msg-test 2> $error_out) || fail "failed to run gdb"
+OUT=$($LIBTOOL --mode=execute gdb --batch -x ${srcdir:-.}/assert-msg-test.gdb ./assert-msg-test 2> $error_out) || fail "failed to run gdb"
echo_v "Checking if assert message is in __glib_assert_msg"
if ! echo "$OUT" | grep -q '^$1.*"ERROR:.*assert-msg-test.c:.*:.*main.*: assertion failed: (42 < 0)"'; then
- echo "got: $OUT"
fail "__glib_assert_msg does not have assertion message"
fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]